Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.socket
Class ClientSocketWrapper

    java.lang.Object
      org.jboss.remoting.transport.socket.SocketWrapper
          org.jboss.remoting.transport.socket.ClientSocketWrapper

All Implemented Interfaces:
  OpenConnectionChecker

Direct Known Subclasses:
  ServerSocketWrapper

    public class ClientSocketWrapper

extends SocketWrapper
implements OpenConnectionChecker

Author:
  Tom Elrod

Field Summary

Fields inherited from class org.jboss.remoting.transport.socket.SocketWrapper
`CLOSING, MARSHALLER, TEMP_TIMEOUT, UNMARSHALLER`

Constructor Summary
`ClientSocketWrapper(java.net.Socket socket)`
`ClientSocketWrapper(java.net.Socket socket, java.util.Map metadata, java.lang.Integer timeout)`

Method Summary
`void` | `checkConnection()`
`void` | `checkOpenConnection()`
`protected java.io.InputStream` | `createInputStream(java.lang.String serializationType, java.net.Socket socket, UnMarshaller unmarshaller)`
`protected java.io.OutputStream` | `createOutputStream(java.lang.String serializationType, java.net.Socket socket, Marshaller marshaller)`
`protected void` | `createStreams(java.net.Socket socket, java.util.Map metadata)`
`java.io.InputStream` | `getInputStream()`
`java.io.OutputStream` | `getOutputStream()`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.remoting.transport.socket.SocketWrapper
`close, finalize, getSocket, getTimeout, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClientSocketWrapper

    public ClientSocketWrapper(java.net.Socket socket)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

### ClientSocketWrapper

    public ClientSocketWrapper(java.net.Socket socket,
                               java.util.Map metadata,
                               java.lang.Integer timeout)
                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Specified by:
    `getOutputStream` in class `SocketWrapper`

### getInputStream

    public java.io.InputStream getInputStream()

  Specified by:
    `getInputStream` in class `SocketWrapper`

### checkConnection

    public void checkConnection()
                         throws java.io.IOException

  Specified by:
    `checkConnection` in class `SocketWrapper`
  Throws:
    `java.io.IOException`

### checkOpenConnection

    public void checkOpenConnection()
                             throws java.io.IOException

  Specified by:
    `checkOpenConnection` in interface `OpenConnectionChecker`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### createStreams

    protected void createStreams(java.net.Socket socket,
                                 java.util.Map metadata)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### createInputStream

    protected java.io.InputStream createInputStream(java.lang.String serializationType,
                                                    java.net.Socket socket,
                                                    UnMarshaller unmarshaller)
                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### createOutputStream

    protected java.io.OutputStream createOutputStream(java.lang.String serializationType,
                                                      java.net.Socket socket,
                                                      Marshaller marshaller)
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.